---
search:
  tags:
    - Orders
    - POST
seo:
  description: >-
    Records a manual payment (cash, bank transfer, external processor, etc.)…
    Reference for the POST /orders/{order_id}/payments endpoint in the Bolder
    API v2.
sidebar:
  label: Record a manual payment on an order
  badge: POST
title: Record a manual payment on an order
type: openapi-operation
---
Records a manual payment (cash, bank transfer, external processor, etc.) against an order. Does **not** go through any payment gateway — the payment is recorded as-is and the order's paid amount is updated immediately.

`POST /orders/{order_id}/payments`

**Request body** (`application/json`, required)

- `amount` (integer, required) — Payment amount in cents
- `authorization_code` (string) — Reference / receipt number
- `description` (string)
- `transaction_id` (string) — External transaction identifier

Request body example:

```json
{
  "amount": 5000,
  "description": "Wire transfer ref. XYZ"
}
```

**Responses**

- `201` — Payment recorded

Response example, 201:

```json
{
  "id": 0,
  "order_id": 0,
  "amount": 0,
  "absolute_amount": 0,
  "successful": true,
  "card_token_id": 0,
  "payment_method_type": "string",
  "transaction_id": "string",
  "authorization_code": "string",
  "description": "string",
  "created_at": "2019-08-24T14:15:22Z"
}
```
